OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.ARB.TransposeMatrix

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_transpose_matrix extension, see http://www.opengl.org/registry/specs/ARB/transpose_matrix.txt.

Synopsis

- glLoadTransposeMatrixf :: Ptr GLfloat -> IO ()
- glLoadTransposeMatrixd :: Ptr GLdouble -> IO ()
- glMultTransposeMatrixf :: Ptr GLfloat -> IO ()
- glMultTransposeMatrixd :: Ptr GLdouble -> IO ()
- gl_TRANSPOSE_MODELVIEW_MATRIX :: GLenum
- gl_TRANSPOSE_PROJECTION_MATRIX :: GLenum
- gl_TRANSPOSE_TEXTURE_MATRIX :: GLenum
- gl_TRANSPOSE_COLOR_MATRIX :: GLenum

# Functions

glLoadTransposeMatrixf :: Ptr GLfloat -> IO ()Source

glLoadTransposeMatrixd :: Ptr GLdouble -> IO ()Source

glMultTransposeMatrixf :: Ptr GLfloat -> IO ()Source

glMultTransposeMatrixd :: Ptr GLdouble -> IO ()Source

# Tokens

gl_TRANSPOSE_MODELVIEW_MATRIX :: GLenum Source

gl_TRANSPOSE_PROJECTION_MATRIX :: GLenum Source

gl_TRANSPOSE_TEXTURE_MATRIX :: GLenum Source

gl_TRANSPOSE_COLOR_MATRIX :: GLenum Source